# FileBuilder (ARX GUI Documentation)

org.deidentifier.arx.gui.worker.io

## Class FileBuilder

- java.lang.Object
- - org.deidentifier.arx.gui.worker.io.FileBuilder

-     public class FileBuilder
      extends java.lang.Object

  Wraps a writer.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileBuilder(java.io.OutputStreamWriter w)` Create a new instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `FileBuilder` | `append(java.lang.String s)` Append a string.
    `void` | `flush()` Flush.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileBuilder

          public FileBuilder(java.io.OutputStreamWriter w)

      Create a new instance.
      Parameters:
        `w` -

  - ### Method Detail

    - #### append

          public FileBuilder append(java.lang.String s)
                             throws java.io.IOException

      Append a string.
      Parameters:
        `s` -
      Returns:
      Throws:
        `java.io.IOException`

    - #### flush

          public void flush()
                     throws java.io.IOException

      Flush.
      Throws:
        `java.io.IOException`